%% Flow equations %%
ko =-3854;         % Slope found from darcy's law ton/bar
kw =-3634;       % Slope found from darcy's law
kg =-1.551;
Pr=300;
Pwf=0:10:300;
Prel=Pwf/Pr;



mo=ko*(Pr-Pwf);
momax=ko*Pr;
mg=kg*(Pr^(2)-Pwf.^(2));
mgmax=kg*Pr^2;
mw=kw*(Pr-Pwf);
mwmax=kw*Pr;

morel=1-(Pwf/Pr);
mwrel=1-(Pwf/Pr);
mgrel=1-(Pwf.^2/Pr^2);

%Oil and gas only
a=mgmax/(mgmax+momax);
mtotrel=a*mgrel+(1-a)*morel;

figure(1)
plot(mgrel,Prel,'r',morel,Prel,'b',mtotrel,Prel,'g') 
    xlabel('m/m_{max}')
    ylabel('Pwf/Pr')

%Prela   mgrela  morela  mtotrela    mtotrelb