%output=[mo,mg,mw,P1*1e-5,P2*1e-5,P3*1e-5,P4*1e-5];

GOR_a = opt_well_1(:,2)./opt_well_1(:,1); %mg/mo
kg_a =-0.836; 
ko_a =-3080;
mo_a = opt_well_1(:,1);
p2_a = opt_well_1(:,5);

GOR_b = opt_well_2(:,2)./opt_well_2(:,1);
kg_b =-1.551; 
ko_b =-3854;
mo_b = opt_well_2(:,1);
p2_b = opt_well_2(:,5);

p1=300;

dmg_dmo_a= ((kg_a/ko_a)*(p2_a-p1))+GOR_a;
dmg_dmo_b= ((kg_b/ko_b)*(p2_b-p1))+GOR_b;

figure(5)
hold on
plot(mgmax_space*10^(-3),dmg_dmo_a,mgmax_space*10^(-3),dmg_dmo_b )
xlabel('Maximim gas flow allowed through the system')
ylabel('GOR for well a and b')
%ylim([0 1000])


figure(6)
hold on
plot(mgmax_space*10^(-3),dmg_dmo_a-dmg_dmo_b )
xlabel('Maximim gas flow allowed through the system')
ylabel('GOR for well a and b')
%ylim([0 1000])